/* Global Styling */
* {
  box-sizing: border-box;
}

html{
  scroll-behavior: smooth;
}

h1 {
  font-size: 3em;
}

h2 {
  font-size: 2.5em;
}

h3 {
  font-size: 2.17em;
}

h4 {
  font-size: 2em;
}

h5 {
  font-size: 1.83em;
}

h6 {
  font-size: 1.67em;
}

a {
  font-size: 0.83em;
}

body {
  font-family: "Montserrat", sans-serif;
  background: #16386B;
  color: white;
}

/* Creating the division of the page */
.grid-container {
  display: grid;
  grid-template-columns: 13% 87%;
}

/* Navigation  */
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  width: 13%;
  height: auto;
  background: rgba(98, 150, 227, 0.6274509804);
  display: block;
}
.navbar img#my_pic {
  width: 100%;
  height: fit-content;
  opacity: 60%;
  text-align: center;
}
.navbar div.links {
  margin-top: -4px;
}
.navbar a {
  text-decoration: none;
  color: white;
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
  text-align: center;
  padding: 13px 0;
  text-shadow: 1px 2px 3px #16386B;
  cursor: pointer;
  font-size: 1em;
}
.navbar #home-link {
  background: #16386B;
}
.navbar a:hover {
  background: #16386B;
  color: #ffad0a;
}

/* Content of the page*/
#main {
  margin-top: 50px;
}

/* Home Section */
.home-text {
  text-align: center;
}

img#my_pic_big {
  display: block;
  margin-top: 30px;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  height: auto;
  margin-bottom: 10%;
  border-radius: 0 0 10% 10%;
}

/* About Section */
#about {
  width: 95%;
  margin-left: auto;
  margin-right: auto;
}
#about .underline {
  text-decoration: underline;
  text-underline-offset: 10px;
}
#about .skill-text {
  letter-spacing: 5px;
}
#about .technologies {
  color: aliceblue;
  font-size: 1.3rem;
  font-weight: bold;
}
#about .about-me {
  color: aliceblue;
  text-indent: 50px;
}
#about .about-me a {
  color: white;
  font-size: 1rem;
}
#about .about-me a:hover {
  color: #ffc44d;
}
#about div.tech-container ul {
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-content: space-between;
  flex-wrap: wrap;
  row-gap: 0.5rem;
}
#about div.tech-container ul li {
  font-weight: bold;
  font-size: 1.2rem;
}
#about div.tech-container ul .good, #about .color-desc .key div.tech-container ul .dabbled, #about .color-desc .key div.tech-container ul .okay {
  color: white;
}
#about div.tech-container ul .okay {
  color: #a4d4ff;
}
#about div.tech-container ul .dabbled {
  color: #3ea5ff;
}
#about .color-desc {
  display: flex;
  flex-direction: column;
  text-align: right;
}
#about .color-desc > p {
  font-size: 1.1rem;
  font-weight: bold;
  text-decoration: underline;
  text-underline-offset: 5px;
}
#about .color-desc .key {
  display: flex;
  column-gap: 2rem;
  justify-content: right;
}
#about .color-desc .key div {
  display: flex;
  align-items: center;
  column-gap: 0.5rem;
}
#about .color-desc .key div .good, #about .color-desc .key div .dabbled, #about .color-desc .key div .okay {
  width: 20px;
  height: 20px;
  background: white;
  display: flex;
}
#about .color-desc .key div .okay {
  background: #a4d4ff;
}
#about .color-desc .key div .dabbled {
  background: #3ea5ff;
}
#about .color-desc .key div .good-text, #about .color-desc .key div .dabbled-text, #about .color-desc .key div .okay-text {
  color: white;
  font-weight: bold;
}
#about .color-desc .key div .okay-text {
  color: #a4d4ff;
}
#about .color-desc .key div .dabbled-text {
  color: #3ea5ff;
}

/* My statistics */
div.stats {
  width: 100%;
  height: 150px;
  background: white;
  color: black;
  font-weight: 600;
  display: flex;
  margin: 5% 0;
  justify-content: space-around;
  text-align: center;
  align-items: center;
}
div.stats .digits {
  font-size: 1.83em;
  font-weight: bold;
  margin-bottom: 0;
}

.resume, #contact a.send {
  padding: 10px;
  background: #ffad0a;
  font-weight: bold;
  font-size: 1em;
  text-decoration: none;
  color: black;
  border: none;
  border-radius: 15px;
  font-family: "Montserrat", sans-serif;
  cursor: pointer;
}
.resume i, #contact a.send i {
  margin-right: 3px;
}

.resume:hover, #contact a.send:hover {
  background: #ffc44d;
}

/* Reputation */
.vouchers {
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
}
.vouchers .rep {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}
.vouchers .rep span {
  font-weight: bold;
}

img.vouching {
  width: 90px;
  height: 90px;
  border-radius: 45px;
}

/* Project Section */
#projects {
  width: 95%;
  height: auto;
  margin-left: auto;
  margin-right: auto;
}
#projects p {
  font-size: 1.2rem;
}
#projects p a {
  color: aliceblue;
  font-size: 1.2rem;
}
#projects p a:hover {
  color: #ffc44d;
}

.image-container {
  max-width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  justify-content: center;
}
.image-container > div {
  position: relative;
}
.image-container > div > div.project-name {
  position: absolute;
  left: -5px;
  top: -5px;
  padding: 0.5rem;
  z-index: 1;
  background: #16386B;
}
.image-container > div img {
  width: 100%;
  height: auto;
  filter: blur(3px);
  box-shadow: 2px 2px 5px #16386B;
}
.image-container > div img:hover {
  filter: blur(0);
}
.hide-project{
  display: none;
}
.languages{
  display: flex;
  column-gap: 1rem;
  font-size: 1.5rem;
  margin-top: 1rem;
}
#more-projects{
  text-align: left;
  text-decoration: underline;
  cursor: pointer;
}

/* Contact Section */
#contact {
  width: 95%;
  height: auto;
  margin-left: auto;
  margin-right: auto;
  color: aliceblue;
}
#contact div.contact {
  display: flex;
  column-gap: 20px;
  margin: 10px;
  align-items: center;
}
#contact input, #contact textarea#message {
  width: 100%;
  margin-bottom: 20px;
  padding: 15px;
  padding-left: 10px;
  font-size: 0.95em;
  font-family: "Montserrat", sans-serif;
}
#contact #validation-result {
  color: #ffc44d;
  display: block;
  margin-top: -1rem;
}
#contact a.send i {
  margin-right: 5px;
}

/* Footer */
footer {
  width: 95%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 70px;
}
footer a i {
  font-size: 1.5rem;
  margin-left: 3px;
  color: white;
}
footer a i:hover {
  color: #ffad0a;
}
footer p {
  color: aliceblue;
}
footer p a {
  color: white;
  font-size: 1rem;
}
footer p a:hover {
  color: #ffc44d;
}

/* Transition effects */
.hidden-project{
  opacity: 0;
  filter: blur(100%);
  transform: translateY(100%);
  transition: all ease 1s;
}

.hidden-project:nth-of-type(2){
  transition-delay: 200ms;
}

.hidden-project:nth-of-type(4){
  transition-delay: 200ms;
}

.hidden-project:nth-of-type(6){
  transition-delay: 200ms;
}

.hidden-project:nth-of-type(8){
  transition-delay: 200ms;
}

.show-project{
  opacity: 1;
  transform: translateY(0);
  filter: blur(0);
}

.stat-hidden{
  opacity: 0;
  transform: translateX(-100%);
  filter: blur(100%);
  transition: all ease 0.5s;
}

.stat-hidden:nth-of-type(2){
  transition-delay: 200ms;
}

.stat-hidden:nth-of-type(3){
  transition-delay: 400ms;
}

.stat-hidden:nth-of-type(4){
  transition-delay: 600ms;
}

.show-stat{
  opacity: 1;
  transform: translateX(0);
  filter: blur();
}

/* Responsive for mobile device */
@media only screen and (max-width: 600px) {
  .grid-container {
    display: grid;
    grid-template-rows: 10%, 90%;
    grid-template-columns: 1fr;
  }
  .navbar {
    position: fixed;
    top: 0;
    background: rgba(22, 56, 107, 0.5529411765);
    text-align: center;
    z-index: 1;
    display: block;
    width: 100%;
    height: fit-content;
  }
  .navbar div.links {
    display: flex;
    justify-content: space-between;
  }
  .navbar #home-link {
    background: unset;
  }
  img#my_pic, .navbar i {
    display: none;
  }
  .navbar a {
    text-decoration: none;
    color: white;
    margin: 0;
    padding: 12px 0 10px 0;
    flex: 25%;
  }
  .navbar a:hover, #home-link:hover {
    background: rgba(98, 150, 227, 0.6274509804);
    color: white;
  }
  .navbar:hover {
    background: #16386B;
  }
  div.stats {
    height: 480px;
    flex-direction: column;
  }
  .digits p {
    font-size: 1.67em;
    font-weight: bold;
    margin-bottom: 0;
  }
  .image-container {
    grid-template-columns: 1fr;
    row-gap: 1.5rem;
  }
  img.vouching {
    width: 60px;
    height: 60px;
    border-radius: 30px;
  }
  .stat-hidden:nth-of-type(2){
    transition-delay: 0ms;
  }
  
  .stat-hidden:nth-of-type(3){
    transition-delay: 0ms;
  }
  
  .stat-hidden:nth-of-type(4){
    transition-delay: 0ms;
  }
  .hidden-project:nth-of-type(2){
    transition-delay: 0ms;
  }
  
  .hidden-project:nth-of-type(4){
    transition-delay: 0ms;
  }
  
  .hidden-project:nth-of-type(6){
    transition-delay: 0ms;
  }

  .hidden-project:nth-of-type(8){
    transition-delay: 0ms;
  }
}

@media screen and (max-width: 400px) {
  img.vouching {
    width: 50px;
    height: 50px;
    border-radius: 25px;
  }
}

@media (prefers-reduced-motion){
  .hidden{
    transition: none;
  }
}